Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 05 Dec 2021 16:39:28 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed an order dtd 23.11.2021 and paid SR 301 then I received an email that your order can not be completed and amount will not be deducted from my account even amount was already deducted. Next day one item cancelled and amount was returned for that item after few hour one more item was cancelled and amount returned. After 3 days one more item cancelled and amount was returned. And 6 days passed no information about rest of my items. Is this the way to serve online? I called 3 times on customer service but they kept me on hold and automatically line disconnected. What the mess is this https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3495493